horde

cPanel Deprecation Plan

Posted by cPanel

The Horde webmail application has been removed in cPanel & WHM version 108. Horde relies on PHP 7.4, which reaches End-of-Life on November 28, 2022. Because of this, we have removed the Horde webmail interface. Use Roundcube for Webmail.
Note: The system will automatically migrate all Horde data to Roundcube.

Overview

To improve our ability to support our customers and provide the best possible experience, we sometimes remove features from cPanel & WHM. When possible, we attempt to provide advance notice of any deprecations or removals. Check this document often for updates.

We use the following terminology to describe features that we plan to remove from cPanel & WHM:

  • Deprecated — We no longer recommend the feature and, in most cases, plan to remove it from cPanel & WHM soon.
    • Because we ceased active development on the feature, we are unlikely to provide future bug fixes.
    • Update any customizations on your server that use or depend on the feature as soon as possible.
  • Removed — We have removed the feature from the cPanel & WHM codebase.
    • We will not fix bugs.
    • In most cases, you cannot use the feature.
    • Any customizations on your server that continue to use or depend on the feature will experience problems.

Planned deprecations and removals

We currently plan to deprecate or remove the following features in future cPanel & WHM versions:

FeatureRecommended actionDeprecationRemoval
CentOS 7Upgrade to a supported operating system.cPanel & WHM version 106cPanel & WHM version 112
CloudLinux™ 6 and 7Upgrade to a supported operating system.cPanel & WHM version 106cPanel & WHM version 112
cPAddonsInstall WHMCS manually. Install WordPress Toolkit with one of our supported methods.cPanel & WHM version 104TBD
Install cPAddons Site SoftwareInstall WHMCS manually. Install WordPress Toolkit with one of our supported methods.cPanel & WHM version 104TBD
Site SoftwareInstall WHMCS manually. Install WordPress Toolkit with one of our supported methods.cPanel & WHM version 104TBD
Manage cPAddons Site SoftwareInstall WHMCS manually. Install WordPress Toolkit with one of our supported methods.cPanel & WHM version 104TBD
Internal PHP version 7.3Verify that all third-party plugins function with internal PHP version 7.4.cPanel & WHM version 102TBD
MariaDB® 10.1MariaDB 10.1 reached End of Life on October 17, 2020. You can no longer select MariaDB 10.1 for new installations. Update your local MariaDB servers and your remote MariaDB servers to use MariaDB 10.6 or a newer LTS release.cPanel & WHM version 88TBD
MySQL® 5.6MySQL 5.6 reached End of Life in February 2021. You can no longer select MariaDB 10.1 for new installations. Update your local MySQL servers and your remote MySQL servers to use one of the following:MySQL 5.7 or later.MariaDB 10.6 or a newer LTS release.cPanel & WHM version 88TBD
cPanel & WHM’s Mongrel Ruby code baseUse cPanel’s Application Manager interface (cPanel >> Home >> Software >> Application Manager) to manage Phusion Passenger™ Ruby applications.cPanel & WHM version 64TBD
MySQL 5.5MySQL 5.5 reached End of Life on December 31, 2018. You can no longer select MySQL 5.5 for new installations. Update your local MySQL servers and your remote MySQL servers to use one of the following:MySQL 5.7 or later.MariaDB 10.6 or a newer LTS release.cPanel & WHM version 11.52TBD

Deprecated and removed features

We have completed the deprecation or removal of the following features in recent cPanel & WHM versions:

FeatureRecommended actionDeprecationRemoval
Horde webmail interfaceHorde relies on PHP 7.4, which reaches End-of-Life on November 28, 2022. Because of this, we have removed the Horde webmail interface. Use Roundcube for Webmail.Note:The system will automatically migrate all Horde data to Roundcube.cPanel & WHM version 108cPanel & WHM version 108
CentOS 8CentOS 8 reached End of Life on December 31, 2021. Because of this, we blocked new installations of cPanel & WHM on CentOS 8 as of December 15, 2021. For more information, read our What should I do if my OS has reached its EOL date? documentation.New installs blockedNew installs blocked
Paper Lantern theme and all related stylesSwitch to the new theme, Jupiter.Note:When the server updates to version 108, the system will automatically assign all accounts set to paper_lantern to jupiter.cPanel & WHM version 100cPanel & WHM version 108
Change Style interfaceNone. Jupiter does not support custom styles.cPanel & WHM version 100cPanel & WHM version 108
Legacy localesSwitch to a supported language. cPanel & WHM officially supports English, Spanish, German, and Russian. For more information, read our updated languages support blog post.cPanel & WHM version 106cPanel & WHM version 106
Addon DomainsSubdomains, and Aliases interfaces in the Jupiter themeUse the Domains interface for addon domain, subdomain, and alias management.cPanel & WHM version 100cPanel & WHM version 106
MyDNS and NSD nameserversSelect PowerDNS or BIND in WHM’s Nameserver Selection interface (WHM >> Home >> Service Configuration >> Nameserver Selection). Servers that still use MyDNS or NSD will automatically update to PowerDNS.cPanel & WHM version 78cPanel & WHM version 106
WHM’s Change WebHost Manager Theme interfaceWHM no longer supports non-default themes.cPanel & WHM version 102cPanel & WHM version 102
WordPress ManagerUse WordPress Toolkit.cPanel & WHM version 92cPanel & WHM version 104
The sysinfo.config fileWe have removed this file and all references to this file from cPanel & WHM features and scripts.cPanel & WHM version 100cPanel & WHM version 100
WHM’s wpt_convert scriptNone.cPanel & WHM version 98cPanel & WHM version 98
WHM’s wpt_license scriptNone.cPanel & WHM version 98cPanel & WHM version 98
WHM’s clean_cgiemail scriptNone.cPanel & WHM version 98cPanel & WHM version 98
WHM’s CloudLinux LVE Manager interfaceUse WHM’s CloudLinux Manager interface (WHM >> Home >> DNS Functions >>CloudLinux Manager).cPanel & WHM version 96cPanel & WHM version 96
WHM’s Edit DNS Zone interfaceUse WHM’s DNS Zone Manager interface (WHM >> Home >> DNS Functions >> DNS Zone Manager).cPanel & WHM version 86cPanel & WHM version 96
WHM’s Edit MX Entry interfaceUse WHM’s Email Routing Configuration interface (WHM >> Home >> DNS Functions >> Email Routing Configuration).cPanel & WHM version 96cPanel & WHM version 96
WHM’s Reset a DNS Zone interfaceUse WHM’s DNS Zone Manager interface (WHM >> Home >> DNS Functions >> DNS Zone Manager).cPanel & WHM version 96cPanel & WHM version 96
WHM’s Copy an Account From Another Server With an Account Password interfaceUse WHM’s Transfer or Restore cPanel Account interface (WHM >> Home >> Transfers >> Transfer or Restore a cPanel Account).cPanel & WHM version 88cPanel & WHM version 90
WHM’s Restore a Full Backup/cpmove File interfaceUse WHM’s Transfer or Restore cPanel Account interface (WHM >> Home >> Transfers >> Transfer or Restore a cPanel Account).cPanel & WHM version 88cPanel & WHM version 90
Standardized Hook – Universal Password TrapUse the API::Module::function Cpanel event or the Passwd event in your Hook Action Code.cPanel & WHM version 11.48cPanel & WHM version 88
CentOS 6 and Red Hat® Enterprise Linux® (RHEL) 6Use a newer version of a supported operating system.cPanel & WHM version 72cPanel & WHM version 88
cPanel API 1Use our UAPI functions. For more information, read our Guide to Replacing cPanel API 1 Functions with UAPI Equivalents documentation.cPanel & WHM version 11.26cPanel & WHM version 88
Amazon® Linux 1Use the cPanel & WHM AWS Marketplace listing for installations on the Amazon hyperscaler.cPanel & WHM version 86cPanel & WHM version 88
Internet Explorer 11Use the latest version of the Microsoft Edge web browser.cPanel & WHM version 88cPanel & WHM version 88
Internal PHP version 7.2Verify that all third-party plugins function with internal PHP version 7.3.cPanel & WHM version 84cPanel & WHM version 84
EasyApache 3Use EasyApache 4.cPanel & WHM version 76cPanel & WHM version 78
SquirrelMailUse Horde or Roundcube for Webmail. For help choosing between Roundcube and Horde, read our Roundcube and Horde Feature Comparison documentation.Note:By default, new installations of cPanel & WHM version 76 and later do not include SquirrelMail.cPanel & WHM version 76cPanel & WHM version 78
Internal PHP version 5.6Verify that all third-party plugins function with internal PHP version 7.2.cPanel & WHM version 76cPanel & WHM version 76
WHM’s Show Active and Inactive Accounts interfacecPanel & WHM version 76cPanel & WHM version 76
XML output in APIsUse the JSON output format to call WHM API and cPanel API functions.cPanel & WHM version 68cPanel & WHM version 74
The cPanel-provided hardened-kernel update for the Linux® kernelUse the KernelCare “Extra” Patchset from CloudLinux™.cPanel & WHM version 68cPanel & WHM version 72
TLS version 1.0Use TLS version 1.2 to connect to cPanel & WHM via SSL/TLS.cPanel & WHM version 68cPanel & WHM version 72
cPAddon ModerationDo not use the Moderation section of WHM’s Manage cPAddons Site Software interface (WHM >> Home >> cPanel >> Manage cPAddons Site Software).Note:Any cPAddons that currently use this feature will continue to function. However, if you disabled moderation, you cannot reactivate it.cPanel & WHM version 66N/A
Legacy BackupsUse WHM’s Backup Configuration interface (WHM >> Home >> Backup >> Backup Configuration).Note:New installations of cPanel & WHM version 64 and newer do not include the Legacy Backups system.cPanel & WHM version 64N/A
WHM’s Remote Access Hash interfaceUse WHM’s Manage API Tokens interface (WHM >> Home >> Development >> Manage API Tokens).Note:This interface and its use will not change on existing servers. On new installations of cPanel & WHM version 72 and later, we disable the Allow deprecated WHM accesshash authentication setting in the Security section of WHM’s Tweak Settings interface (WHM >> Home >> Server Configuration >> Tweak Settings), in order to prevent new use.cPanel & WHM version 64N/A
cPAddons – WordPress (Legacy)Use cPAddons’ RPM-based WordPress® installation package. Servers that run cPanel & WHM version 64 or newer automatically install this package.Note:WHM’s Install cPAddons Site Software interface (WHM >> Home >> cPanel >> Install cPAddons Site Software) displays the RPM-based WordPress cPAddon as WordPress.To convert your legacy WordPress cPAddon installations to the RPM-based WordPress cPAddon, use the /scripts/migrate_legacy_wordpress_to_modern_wordpress script.cPanel & WHM version 64cPanel & WHM version 70
cPanel’s Simple Zone Editor interfaceUse cPanel’s Zone Editor interface (cPanel >> Home >> Domains >> Zone Editor).cPanel & WHM version 62cPanel & WHM version 70
cPanel’s Advanced Zone Editor interfaceUse cPanel’s Zone Editor interface (cPanel >> Home >> Domains >> Zone Editor).cPanel & WHM version 62cPanel & WHM version 70
Internal Perl 5.24Update all third-party applications to ensure that they are compatible with Perl 5.26 and later.N/AcPanel & WHM version 70
AOL Instant Messenger (AIM)Use any other available contact method.N/AcPanel & WHM version 70
MySQL 5.1 and earlierUpdate your servers to use MySQL 5.7 or greater or MariaDB 10.6 or a newer LTS release.cPanel & WHM version 60cPanel & WHM version 62
cPanel’s CGI Center interfaceRemove any CGI applications from your active cPanel accounts.cPanel & WHM version 60cPanel & WHM version 64
Earlier versions of ImageMagick®Update scripts that use ImageMagick to use GD.Update scripts that use ImageMagick to use the version of ImageMagick that ships with your operating system.cPanel & WHM version 58cPanel & WHM version 62
Internal Perl 5.18Update all third-party applications to ensure their compatibility with Perl 5.22 and later.cPanel & WHM version 56cPanel & WHM version 58
cPanel’s x3 themeUpdate all of your servers’ cPanel accounts to use the new default cPanel theme.Warning:If you customize the cPanel interface, or if you develop custom cPanel plugins, update them to use the new theme. For more information, read our Guide to cPanel Plugins documentation.cPanel & WHM version 11.52cPanel & WHM version 60
BlackBerry® FastMail ServiceInstall the mobile version of your email client onto your phone.cPanel & WHM version 11.52cPanel & WHM version 98
CentOS 5, CloudLinux 5, and Red Hat® Enterprise Linux® (RHEL) 5Upgrade your servers to a newer version of your operating system.cPanel & WHM version 56cPanel & WHM version 58
32-bit architectures for all supported operating systemsUpgrade your servers to use a 64-bit architecture.cPanel & WHM version 56cPanel & WHM version 58
bandminDo not use the bandmin application.N/AcPanel & WHM version 58
Ability to customize cPanel & WHM portsUse the default secure ports for WHM (2087) and cPanel (2083).N/AcPanel & WHM version 58
Earlier versions of suEXEC modulesUpdate your servers to use EasyApache 4.N/AcPanel & WHM version 58
stunnelBecause cPanel & WHM includes NativeSSL support, no action is necessary.cPanel & WHM version 11.32cPanel & WHM version 58
The LANG localization systemUpdate custom translations of the cPanel or WHM interfaces and custom plugins to use the locale.maketext system.cPanel & WHM version 11.26cPanel & WHM version 82
Apple® Push NotificationscPanel, L.L.C. is currently working to provide a solution.N/AN/A
PHP VersionUse the MultiPHP Manager for cPanel interface to find your installed PHP versions.cPanel & WHM version 108cPanel & WHM version 108

Leave a Comment

Your email address will not be published.

Scroll to Top
error: